Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 83201 - some strings do not show in po files
Summary: some strings do not show in po files
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: foomatic
Version: 9
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-31 06:27 UTC by Leon Ho
Modified: 2007-04-18 16:50 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-01-02 19:18:00 UTC


Attachments (Terms of Use)
Screenshot of system-config-printer (deleted)
2004-09-06 06:12 UTC, Lawrence Lim
no flags Details

Description Leon Ho 2003-01-31 06:27:59 UTC
Description of problem: 
Translator reported that some string in Edit -> Printer Option does not show in po 
files. 
 
Steps to Reproduce: 
1. in LANG=ko_KR.eucKR; redhat-config-printer 
2. add a printer 
3. then edit -> Printer option 
4. Look at "Double sized printing" label etc

Comment 1 Tim Waugh 2003-01-31 09:12:03 UTC
Strings from the 'driver options' tab come from foomatic.  Unfortunately, there
has been no upstream effort to get them translated.

The mechanism is there, but you have to edit XML files. :-/

Comment 2 Paul Gampe 2003-02-02 23:08:22 UTC
Tim, we have tools to convert to/from po/xml which might help here.  

Comment 3 Michael Hideo 2003-12-10 02:34:56 UTC
Hi Tim,

Okay for me to create the PO files from your XML and send them to
translation?



Comment 4 Tim Waugh 2003-12-10 09:15:15 UTC
Of course.

Comment 5 Leon Ho 2004-06-03 01:25:55 UTC
Bernd will be writing a xml to po converter for foomatic

Comment 6 Nakai 2004-06-05 11:38:59 UTC
Use intltool

Comment 7 Lawrence Lim 2004-09-06 06:11:41 UTC
Any update on this bug? I had a look at the recent
system-config-printer in the ko_KR locale. And "Double sized printing"
label etc are still untranslated.

Any thoughts?

Comment 8 Lawrence Lim 2004-09-06 06:12:49 UTC
Created attachment 103501 [details]
Screenshot of system-config-printer

Comment 9 Tim Waugh 2004-09-06 08:51:32 UTC
Could someone explain to me how intltool can help?  All of the
translatable text is inside <en> tags, if that's useful.

Comment 10 Localisation Team 2004-09-06 09:44:22 UTC
Tim,

You can also try xml2pot tool (/usr/bin/xml2pot), available in
kdesdk-3.1.3-1.1 rpm

Sarah

Comment 11 Leon Ho 2004-09-07 02:23:56 UTC
Talked to Tagoh-san last night, we don't think following xml file
instruction part in /usr/share/doc/intltool-0.30/README will help too
much, basically because foomatic is using their only format
<lang></lang> in different xmls in /usr/share/foomatic/db/source/opt/*

When I looked into intltool-extract, intltool-merge and
intltool-update perl scripts, what it does to the .desktop file are
very simliar. One of the idea is to modify intltool's .desktop part to
accommodate foomatic's format.

Another idea is to modify foomatic directly to use gettext.


Comment 12 Bill Nottingham 2006-08-05 05:24:19 UTC
Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks.

Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
They are maintained by the Fedora Legacy project (http://www.fedoralegacy.org/)
for security updates only. If this is a security issue, please reassign to the
'Fedora Legacy' product in bugzilla. Please note that Legacy security update
support for these products will stop on December 31st, 2006.

If this is not a security issue, please check if this issue is still present
in a current Fedora Core release. If so, please change the product and version
to match, and check the box indicating that the requested information has been
provided.

If you are currently still running Red Hat Linux 7.3 or 9, please note that
Fedora Legacy security update support for these products will stop on December
31st, 2006. You are strongly advised to upgrade to a current Fedora Core release
or Red Hat Enterprise Linux or comparable. Some information on which option may
be right for you is available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Any bug still open against Red Hat Linux 7.3 or 9 at the end of 2006 will be
closed 'CANTFIX'. Again, if this bug still exists in a current release, or is a
security issue, please change the product as necessary. We thank you for your
help, and apologize again that we haven't handled these issues to this point.


Comment 14 Bill Nottingham 2007-01-02 19:18:00 UTC
Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
f you are currently still running Red Hat Linux 7.3 or 9, you are strongly
advised to upgrade to a current Fedora Core release or Red Hat Enterprise Linux
or comparable. Some information on which option may be right for you is
available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.


Note You need to log in before you can comment on or make changes to this bug.